## gdal 1.7.3

=== frmts/pcidsk/sdk/Makefile ===

# Comment out to skip use of libjpeg
JPEG_FLAGS = -DHAVE_LIBJPEG
JPEG_LDFLAGS = -ljpeg

OBJ = \
	channel/cbandinterleavedchannel.o \
	channel/cpcidskchannel.o \
	channel/cpixelinterleavedchannel.o \
	channel/ctiledchannel.o \
	core/cpcidskfile.o \
	core/libjpeg_io.o \
	core/metadataset_p.o \
	core/pcidskbuffer.o \
	core/pcidskcreate.o \
	core/pcidskexception.o \
	core/pcidskinterfaces.o \
	core/pcidskopen.o \
	core/pcidsk_pubutils.o \
	core/pcidsk_utils.o \
	core/sysvirtualfile.o \
	port/io_stdio.o \
	port/pthread_mutex.o \
	segment/cpcidskgeoref.o \
	segment/cpcidskpct.o \
	segment/cpcidsksegment.o \
	segment/cpcidskvectorsegment.o \
	segment/metadatasegment_p.o \
	segment/sysblockmap.o \
	segment/cpcidskrpcmodel.o


CXXFLAGS = -g -Wall -fPIC -I. $(JPEG_FLAGS)

default:	pcidsk.a libpcidsk.so

pcidsk.a: $(OBJ)
	ar r pcidsk.a $(OBJ)

libpcidsk.so: $(OBJ)
	g++ -fPIC $(JPEG_LDFLAGS) -ldl -shared -o libpcidsk.so $(OBJ)

clean:
	rm -f $(OBJ)
	-rm -f *.o
	-rm -f *.a
	-rm -f *.so

core_comp:
	(cd core; $(MAKE))
	(cd channel; $(MAKE))
	(cd segment; $(MAKE))
	(cd port; $(MAKE))

check:	default	
	(cd ../tests; $(MAKE) check)

$(OBJ):	pcidsk.h pcidsk_config.h 

%.o:	%.cpp
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c -o $@ $<

docs:
	doxygen

=== debian/changelog ===
gdal (1.7.3-3build1) oneiric; urgency=low

  * Rebuild for Perl 5.12.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 May 2011 06:57:25 +0100

gdal (1.7.3-3) unstable; urgency=low

  * Added libepsilon support. Note that libepsilon is LGPL-3 (too).
  * Now debian/copyright has moved to DEP5 format and revised on the basis of
    the GDAL LICENSE file.
  * Removed obsolete libtool workaround in debian/rules. 
    (closes: #621930)
  * Now post-removing rpath in main library as well to avoid libtool tricks at
    building time.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 26 Apr 2011 16:52:20 +0200

gdal (1.7.3-2) unstable; urgency=low

  * Moved to alioth git repository, and changed Vcs-* fields.
  * Now using source format 3.0 and quilt for patches.
  * Added ${misc:Depends} due to debhelper use.
  * Moved to debhelper level 8 which is now recommended default.
  * Now adoptin /usr/lib/gdalplugins/X.Y as plugin directory, because
    it will be the same used in 1.9 series. Changed patches as required.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 22 Feb 2011 15:35:34 +0100

gdal (1.7.3-1) unstable; urgency=low

  [ Alan Boudreault ]
  * New upstream release with many fixes.
  * Added libspatialite-dev dependency for libgdal1-dev.

  [ Francesco Paolo Lovergine ]
  * Added sample programs to python-gdal documentation.
  * Merged changelog to be ready for true unstable upload. 
  * Policy bumped to 3.9.1, without changes.
  * Added Build-Conflicts against python-setuptools, because it still
    has problems at building time.
    (closes: #579987)
  * Removed unuseful strict versioning in libgdal-doc suggest for libgdal1-1.7.0.
    (closes: #580172)
  * Added libdap-dev dependency for libgdal1-dev.
    (closes: #598346)
  * Man pages garbling seems now fixed.
    (closes: #598643)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 08 Feb 2011 15:05:36 +0100

gdal (1.7.2-2) experimental; urgency=low

  * Now enable static linking for proj at configuration time.
    (closes: #579989)
  * Fixed a couple of configure options not enabled.
  * Fixed hdf4 patch.
  * Added build-dep on libxml2-dev.
  * Added build-dep on libspatialite-dev to support Spatialite as additional
    format. 
  * Now install gdaldem among gdal-bin utilities.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 07 May 2010 16:46:03 +0200

gdal (1.7.2-1) experimental; urgency=low

  * New upstream release.
  * Merged patch doxygen.dpatch.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 04 May 2010 10:03:26 +0200

gdal (1.7.1-1) experimental; urgency=low

  [ Alan Boudreault ]
  * New upstream release.
  * Patches updated for 1.7.0.
  * Removed patches, applied upstream: cpl_dll.	
  * Removed pre 1.3.38 swig patch (ogr.py.diff).

  [ Francesco Paolo Lovergine ]
  * Now build-dep on netcdf 4 to allow deep testing.
  * Policy bumped to 3.8.4 without changes. 

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 19 Apr 2010 18:11:49 +0200

gdal (1.6.3-3) unstable; urgency=low

  * Fixed previous dirty workaroud debian/rules for working Doxygen versions.
    (closes: #566069)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 21 Jan 2010 18:21:18 +0100

gdal (1.6.3-2) unstable; urgency=low

  * Addded a couple of useful target in debian/rules to generate ECW/MrSID plugins.
  * Fixed gdal-grass tarball name.
    (closes: #560019)
  * Fixed ecw-grass patch to remove an already provided init function.
  * Added a simple workaround for manpages generated with a redundant _ character
    by current version of Doxygen. It fixes a FTBS caused by missing manpages.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 23 Dec 2009 15:21:21 +0100

gdal (1.6.3-1) unstable; urgency=low

  [ Alan Boudreault ]
  * New upstream release, with bugs fixing.
  * Added MrSID plugins support as useful patch to generate separate
    source tarballs.

  [ Francesco Paolo Lovergine ]
  * Added ECW plugins support as useful patch to generate separate
    source tarballs.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 01 Dec 2009 19:37:58 +0100

gdal (1.6.2-2) unstable; urgency=low

  * Fixed gdal-grass patch to generate a tarball with a name coherent with
    current plugin source package.
  * Added a README.source document.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 11 Sep 2009 11:29:03 +0200

gdal (1.6.2-1) unstable; urgency=low

  * New upstream release, with a bounce of bugs fixing.
  * [PATCH] Added gdal-grass.dpatch to add VERSION to the grass plugin
    tarball. This is useful to force failing when a binNMU happens while
    GDAL is transitioning to a major version. See gdal-grass package to 
    understand  how it is managed. This trick does allow a proper fix
    of #544978.
  * Removed .egg-info stripping.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 08 Sep 2009 16:51:50 +0200

gdal (1.6.1-3) unstable; urgency=low

  * Upload to unstable, due to hdf4 -alt support transitioned from experimental.
    (closes: #540403)
  * Build-dep on libmysqlclient-dev and removed duplicated build-dep. Now -dev
    package also depends on the same package.
    (closes: #538542)
  * Build-dep on libhdf5-serial-dev >= 1.8.3 to be safe about linking HDF5 1.8.
  * Ack previous NMU by aba. This version is also compatible with current
    swing version.
    (closes: #543629, #542968)
  * Removed libtool .la file as required by current release goal for squeeze.
  * Policy bumped to 3.8.3.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 31 Aug 2009 15:51:21 +0200

gdal (1.6.1-2) experimental; urgency=low

  * Removed superfluous patches, applied upstream: mysql5.1, swig1338
  * [PATCH] Added cpl_ddl.dpatch to fix missing external declaration. Note that 
    the default -fvisibility=hidden is propagated into python stuff and other 
    swig bindings.
    (closes: #529745)
  * Fixed watch file url.
    (closes: #504715)



=== debian/control ===
Source: gdal
Section: science
Priority: extra
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: debhelper (>= 8), zlib1g-dev, libnetcdf-dev (>= 1:4.0.0),
 libjasper-dev, libpng12-dev, libjpeg62-dev, libgif-dev,
 libhdf4-alt-dev, libhdf5-serial-dev (>=1.6.6), libpq-dev, libxerces-c2-dev, unixodbc-dev (>= 2.2.11),
 python-dev, python-numpy, doxygen, d-shlibs, libgeos-dev, libmysqlclient-dev, python-all-dev (>= 2.3.5-11~), 
 python-central (>= 0.5), libcurl4-gnutls-dev, libsqlite3-dev, libogdi3.2-dev,
 ruby, ruby1.8-dev, chrpath, swig, libtool (>= 1.5.24-2), patch, libexpat1-dev, libproj-dev,
 libdap-dev, libxml2-dev, libspatialite-dev (>= 2.4.0~rc2-4), libepsilon-dev
Build-Conflicts: python-setuptools
Standards-Version: 3.9.1
XS-Python-Version: all
Homepage: http://www.gdal.org/
Vcs-Browser: http://git.debian.org/?p=pkg-grass/gdal.git
Vcs-Git: git://git.debian.org/git/pkg-grass/gdal.git

Package: libgdal1-1.7.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: proj-bin
Description: Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports many popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains the shared library.

Package: libgdal1-dev
Section: libdevel
Architecture: any
Depends: libgdal1-1.7.0 (=${binary:Version}), libc6-dev, libnetcdf-dev, 
 libjasper-dev|libjasper-1.701-dev, libpng12-dev, libjpeg62-dev, libgif-dev, libhdf4-alt-dev, 
 libpq-dev, libxerces-c2-dev, unixodbc-dev, libsqlite3-dev, libgeos-dev,
 libmysqlclient-dev, libhdf5-serial-dev, libltdl3-dev, libcurl4-dev|libcurl3-dev,
 libspatialite-dev, libdap-dev, ${misc:Depends}
Suggests: libgdal-doc
Provides: libgdal-dev
Description: Geospatial Data Abstraction Library - Development files
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports many popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains the files needed to develop a software that
 will use the GDAL/OGR (headers, static objects, configuration script). 

Package: libgdal-doc
Section: doc
Architecture: all
Suggests: libgdal1-1.7.0 
Depends: ${misc:Depends} 
Homepage: http://www.gdal.org/#index_userdocs
Description: Documentation for the Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains documentation for GDAL/OGR API.

Package: gdal-bin
Section: science
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: http://www.gdal.org/gdal_utilities.html
Suggests: python-gdal
Description: Geospatial Data Abstraction Library - Utility programs
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains utility programs, based on GDAL/OGR library,
 namely gdal_translate, gdalinfo, gdaladdo, gdalwarp, ogr2ogr, ogrinfo,
 ogrtindex.

Package: python-gdal
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, python-numpy, ${misc:Depends}
Provides: ${python:Provides}
Homepage: http://trac.osgeo.org/gdal/wiki/GdalOgrInPython
XB-Python-Version: ${python:Versions}
Description: Python bindings to the Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains Python bindings for GDAL/OGR library and
 a set of additional command line tools.

Package: libgdal-perl
Section: perl
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Homepage: http://map.hut.fi/doc/Geo-GDAL/html/
Description: Perl bindings to the Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains Perl bindings for GDAL/OGR library.

Package: libgdal-ruby1.8
Section: ruby
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ruby 1.8 bindings to the Geospatial Data Abstraction Library
 GDAL is a translator library for raster geospatial data formats.
 As a library, it presents a single abstract data model to the
 calling application for all supported formats. The related OGR
 library (which lives within the GDAL source tree) provides
 a similar capability for simple features vector data.
 .
 GDAL supports 40+ popular data formats, including commonly used
 ones (GeoTIFF, JPEG, PNG and more) as well as the ones used in
 GIS and remote sensing software packages (ERDAS Imagine,
 ESRI Arc/Info, ENVI, PCI Geomatics). Also supported many remote
 sensing and scientific data distribution formats such as HDF,
 EOS FAST, NOAA L1B, NetCDF, FITS.
 .
 OGR library supports popular vector formats like ESRI Shapefile,
 TIGER data, S57, MapInfo File, DGN, GML and more.
 .
 This package contains ruby 1.8 bindings for GDAL/OGR library.

Package: libgdal-ruby
Section: ruby
Architecture: any
Depends: libgdal-ruby1.8, ${misc:Depends}
Description: Ruby bindings to the Geospatial Data Abstraction Library
 This is a dummy package which depends on current ruby version
 to support GDAL/OGR library binding upgrades.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Original debian package by Alessandro Amici 2002-2003.
# Currently maintained by DebianGis contributors.
# Based on: GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS=$(shell pyversions -v -r debian/control)
PYDEF=$(shell pyversions -dv)
RUBYDEF=$(shell ruby --version|cut -d' ' -f2|cut -d. -f1,2)
PERLDEF=$(shell perl -V:version|cut -d\' -f2)
SWIGVER=$(shell swig -version |grep Version|cut -d' ' -f3|sed -e 's/\.//g')

GDALVER=$(shell cat VERSION|sed -e 's/\./ /g')
GDAL_MAJOR=$(word 1,$(GDALVER))
GDAL_MINOR=$(word 2,$(GDALVER))
GDAL_PATCH=$(word 3,$(GDALVER))

versions:
	@echo Gdal version: $(GDAL_MAJOR).$(GDAL_MINOR).$(GDAL_PATCH)
	@echo Swig version: $(SWIGVER)
	@echo Python default: $(PYDEF)
	@echo Python versions: $(PYVERS)
	@echo Ruby default: $(RUBYDEF)
	@echo Perl default: $(PERLDEF)
	@echo GDAL version: $(GDAL_MAJOR).$(GDAL_MINOR).$(GDAL_PATCH)

#
# The following targets are useful to autogen independent plugins sources
#
gdal-grass: configure gdal-grass-dist clean
gdal-grass-dist:
	ln -fs $(CURDIR)/GDALmake.opt-$(PYDEF) $(CURDIR)/GDALmake.opt
	[ -e $(CURDIR)/GDALmake.opt ] && $(MAKE) -C $(CURDIR)/frmts/grass dist
	mv $(CURDIR)/frmts/grass/libgdal-grass-*.tar.gz $(CURDIR)/..
	rm -f $(CURDIR)/GDALmake.opt

gdal-ecw: configure gdal-ecw-dist clean
gdal-ecw-dist:
	ln -fs $(CURDIR)/GDALmake.opt-$(PYDEF) $(CURDIR)/GDALmake.opt
	[ -e $(CURDIR)/GDALmake.opt ] && $(MAKE) -C $(CURDIR)/frmts/ecw dist
	mv $(CURDIR)/frmts/ecw/libgdal-ecw-*.tar.gz $(CURDIR)/..
	rm -f $(CURDIR)/GDALmake.opt

gdal-mrsid: configure gdal-mrsid-dist clean
gdal-mrsid-dist: 
	ln -fs $(CURDIR)/GDALmake.opt-$(PYDEF) $(CURDIR)/GDALmake.opt
	[ -e $(CURDIR)/GDALmake.opt ] && $(MAKE) -C $(CURDIR)/frmts/mrsid dist
	mv $(CURDIR)/frmts/mrsid/libgdal-mrsid-*.tar.gz $(CURDIR)/..
	rm -f $(CURDIR)/GDALmake.opt



configure: configure-stamp
configure-stamp: 
	dh_testdir
	
	for V in $(PYVERS); do \
		PYTHON=/usr/bin/python$$V ./configure --prefix=/usr \
			--mandir=\$$\{prefix\}/share/man \
			--includedir=\$$\{prefix\}/include/gdal \
			--with-threads \
			--with-grass=no \
			--with-hide-internal-symbols=yes \
			--with-libtiff=internal \
			--with-geotiff=internal \
			--with-jasper \
			--with-netcdf \
			--with-xerces \
			--with-geos \
			--with-sqlite3 \
			--with-curl \
			--with-pg \
			--with-ogdi \
			--with-mysql \
			--with-perl \
			--with-ruby \
			--with-python \
			--with-odbc \
			--with-dods-root=/usr \
			--with-static-proj4=yes \
			--with-spatialite=/usr \
			--with-cfitsio=no \
			--with-epsilon=/usr; \
		mv GDALmake.opt GDALmake.opt-$$V; \
	done
	
	touch $@

build: configure-stamp build-stamp
build-stamp: 
	dh_testdir
	
	cp `ls GDALmake.opt-*|tail -1` GDALmake.opt
	$(MAKE) lib-target apps-target 
	$(MAKE) -C $(CURDIR)/swig/perl generate build
	$(MAKE) -C $(CURDIR)/swig/ruby generate build
	
	# It needs pre-installing just after the building due to intermediate cleaning.
	# Apply conditionally an on-fly patch for pre 1.3.38 swig versions.
	for V in $(PYVERS); do \
		cp GDALmake.opt-$$V GDALmake.opt; \
		$(MAKE) -C $(CURDIR)/swig/python clean; \
		$(MAKE) -C $(CURDIR)/swig/python generate build; \
		$(MAKE) -C $(CURDIR)/swig/python install DESTDIR=$(CURDIR)/debian/python-tmp; \
	done

	$(MAKE) docs
	$(MAKE) man
	# a temporary workaround for doxygen problem #564243 
	cd man/man1 && \
			for i in `find . -name "*__*"`; do basename=`basename $$i`; mv $$basename `echo $$basename|sed -e 's/__/_/'`; done
	touch $@

clean: 
	dh_testdir
	dh_testroot
	
	[ ! -f GDALmake.opt ] || $(MAKE) distclean
	rm -rf $(CURDIR)/swig/ruby/.libs $(CURDIR)/swig/perl/*.bs
	rm -rf $(CURDIR)/swig/perl/*.c  $(CURDIR)/swig/perl/*.cpp
	rm -f GDALmake.opt-*
	rm -rf $(CURDIR)/man/man1
	rm -rf $(CURDIR)/debian/tmp $(CURDIR)/debian/python-tmp
	
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	
	cp `ls GDALmake.opt-*|tail -1` GDALmake.opt
	$(MAKE) install BINDINGS="perl ruby" DESTDIR=$(CURDIR)/debian/tmp \
			INST_DATA="\$$(prefix)/share/gdal/1.7" 
	$(MAKE) install-docs DESTDIR=$(CURDIR)/debian/tmp \
		"INST_DOCS=\$$(prefix)/share/doc/libgdal-doc"\
		"INST_MAN=\$$(prefix)/share/man" 
	$(MAKE) install-man DESTDIR=$(CURDIR)/debian/tmp \
		"INST_DOCS=\$$(prefix)/share/doc/libgdal-doc"\
		"INST_MAN=\$$(prefix)/share/man" 
	
	# install python stuff previuosly built and pre-installed
	cp -a $(CURDIR)/debian/python-tmp/usr/lib/* $(CURDIR)/debian/tmp/usr/lib/.
	install -o root -g root -d $(CURDIR)/debian/tmp/usr/bin
	install -o root -g root -m 755 $(CURDIR)/swig/python/scripts/*.py $(CURDIR)/debian/tmp/usr/bin/.                                        
	
	# removing license file
	rm -f $(CURDIR)/debian/tmp/usr/share/gdal/1.7/LICENSE.TXT
	# removing empty packlist MakeMaker files 
	-find $(CURDIR)/debian/tmp/usr/local/lib/perl -type f -name .packlist -exec rm -f {} \;
	# removing embedded rpath in perl shlibs
	-find $(CURDIR)/debian/tmp/usr/local/lib/perl -type f -name "*.so" -exec chrpath --delete {} \;
	# removing embedded rpath in main lib
	-find $(CURDIR)/debian/tmp/usr/lib -type f -name "*.so*" -exec chrpath --delete {} \;
	
	# moves ruby/perl stuff the right dirs
	install -o root -g root -d $(CURDIR)/debian/tmp/usr/lib/perl5/auto
	install -o root -g root -d $(CURDIR)/debian/tmp/usr/lib/ruby/$(RUBYDEF)
	mv $(CURDIR)/debian/tmp/usr/local/lib/perl/$(PERLDEF)/auto/* $(CURDIR)/debian/tmp/usr/lib/perl5/auto/.
	mv $(CURDIR)/debian/tmp/usr/local/lib/perl/$(PERLDEF)/Geo $(CURDIR)/debian/tmp/usr/lib/perl5/.
	mv $(CURDIR)/debian/tmp/usr/local/lib/site_ruby/$(RUBYDEF)/* $(CURDIR)/debian/tmp/usr/lib/ruby/$(RUBYDEF)/.
	# copy sample programs for python-gdal
	install -o root -g root -d $(CURDIR)/debian/tmp/usr/share/doc/python-gdal/examples
	install -o root -g root -m 755 $(CURDIR)/swig/python/samples/*.py $(CURDIR)/debian/tmp/usr/share/doc/python-gdal/examples/.

binary-common: 
	dh_testdir
	dh_testroot
	dh_install --autodest --list-missing
	dh_installdocs
	dh_installexamples
	dh_installchangelogs NEWS
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	#find $(CURDIR)/debian/python-gdal -name GDAL-$(GDAL_MAJOR).$(GDAL_MINOR).$(GDAL_PATCH).egg-info -delete || true
	dh_pycentral -X.info
	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps -L libgdal1-1.7.0 -l debian/libgdal1-1.7.0/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary-indep: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

binary: binary-arch binary-indep

.PHONY: build clean binary-arch binary-indep binary-common binary install gdal-grass-dist versions

=== debian/watch ===
version=3
http://download.osgeo.org/gdal gdal-([0-9].*)\.tar\.gz

## gdal 1.8.0

=== debian/changelog ===
gdal (1.8.0-1) experimental; urgency=low

  * New upstream release.
  * Patchset update for the current major release.
  * Added libepsilon support.
  * Now debian/copyright has moved to DEP5 format and revised on the basis of
    the GDAL LICENSE file.
  * Swig generated stuff for perl is now removed just before building, not
    at clean time to be more nice against git-bp.
  * Added gdallocationinfo installation in gdal-bin.
  * Policy bumped to 3.9.2, no changes required.
  * Fixed manpages oddities.
    (closes: #615535)
  * Added some more cleanup instructions.
  * Now post-removing rpath in main library as well to avoid libtool tricks at
    building time.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 26 Apr 2011 17:55:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,20 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
 Build-Depends: debhelper (>= 8), zlib1g-dev, libnetcdf-dev (>= 1:4.0.0),
- libjasper-dev, libpng12-dev, libjpeg62-dev, libgif-dev,
+ libjasper-dev, libpng12-dev, libjpeg-dev, libgif-dev,
  libhdf4-alt-dev, libhdf5-serial-dev (>=1.6.6), libpq-dev, libxerces-c2-dev, unixodbc-dev (>= 2.2.11),
  python-dev, python-numpy, doxygen, d-shlibs, libgeos-dev, libmysqlclient-dev, python-all-dev (>= 2.3.5-11~), 
  python-central (>= 0.5), libcurl4-gnutls-dev, libsqlite3-dev, libogdi3.2-dev,
  ruby, ruby1.8-dev, chrpath, swig, libtool (>= 1.5.24-2), patch, libexpat1-dev, libproj-dev,
  libdap-dev, libxml2-dev, libspatialite-dev (>= 2.4.0~rc2-4), libepsilon-dev
 Build-Conflicts: python-setuptools
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 XS-Python-Version: all
 Homepage: http://www.gdal.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-grass/gdal.git
 Vcs-Git: git://git.debian.org/git/pkg-grass/gdal.git
 
-Package: libgdal1-1.7.0
+Package: libgdal1-1.8.0
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -44,7 +44,7 @@
 Package: libgdal1-dev
 Section: libdevel
 Architecture: any
-Depends: libgdal1-1.7.0 (=${binary:Version}), libc6-dev, libnetcdf-dev, 
+Depends: libgdal1-1.8.0 (=${binary:Version}), libc6-dev, libnetcdf-dev, 
  libjasper-dev|libjasper-1.701-dev, libpng12-dev, libjpeg62-dev, libgif-dev, libhdf4-alt-dev, 
  libpq-dev, libxerces-c2-dev, unixodbc-dev, libsqlite3-dev, libgeos-dev,
  libmysqlclient-dev, libhdf5-serial-dev, libltdl3-dev, libcurl4-dev|libcurl3-dev,
@@ -74,7 +74,7 @@
 Package: libgdal-doc
 Section: doc
 Architecture: all
-Suggests: libgdal1-1.7.0 
+Suggests: libgdal1-1.8.0 
 Depends: ${misc:Depends} 
 Homepage: http://www.gdal.org/#index_userdocs
 Description: Documentation for the Geospatial Data Abstraction Library

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,9 @@
 PYDEF=$(shell pyversions -dv)
 RUBYDEF=$(shell ruby --version|cut -d' ' -f2|cut -d. -f1,2)
 PERLDEF=$(shell perl -V:version|cut -d\' -f2)
+PERL_VENDOR_ARCH=$(shell perl -V:vendorarch|cut -d\' -f2)
+PERL_ARCH_NAME=$(shell perl -V:archname|cut -d\' -f2)
+PERL_PATH="$(PERL_VENDOR_ARCH)/$(PERL_ARCH_NAME)"
 SWIGVER=$(shell swig -version |grep Version|cut -d' ' -f3|sed -e 's/\.//g')
 
 GDALVER=$(shell cat VERSION|sed -e 's/\./ /g')
@@ -96,6 +99,7 @@
 	
 	cp `ls GDALmake.opt-*|tail -1` GDALmake.opt
 	$(MAKE) lib-target apps-target 
+	rm -rf $(CURDIR)/swig/perl/*.c  $(CURDIR)/swig/perl/*.cpp
 	$(MAKE) -C $(CURDIR)/swig/perl generate build
 	$(MAKE) -C $(CURDIR)/swig/ruby generate build
 	
@@ -108,6 +112,7 @@
 		$(MAKE) -C $(CURDIR)/swig/python install DESTDIR=$(CURDIR)/debian/python-tmp; \
 	done
 
+	mkdir $(CURDIR)/html || true
 	$(MAKE) docs
 	$(MAKE) man
 	# a temporary workaround for doxygen problem #564243 
@@ -121,10 +126,12 @@
 	
 	[ ! -f GDALmake.opt ] || $(MAKE) distclean
 	rm -rf $(CURDIR)/swig/ruby/.libs $(CURDIR)/swig/perl/*.bs
-	rm -rf $(CURDIR)/swig/perl/*.c  $(CURDIR)/swig/perl/*.cpp
 	rm -f GDALmake.opt-*
 	rm -rf $(CURDIR)/man/man1
 	rm -rf $(CURDIR)/debian/tmp $(CURDIR)/debian/python-tmp
+	rm -rf $(CURDIR)/html $(CURDIR)/doc/br/html $(CURDIR)/doc/ru/html
+	rm -rf $(CURDIR)/frmts/o/.libs
+	rm -f  $(CURDIR)/islibdappost310.*
 	
 	dh_clean 
 
@@ -136,33 +143,33 @@
 	
 	cp `ls GDALmake.opt-*|tail -1` GDALmake.opt
 	$(MAKE) install BINDINGS="perl ruby" DESTDIR=$(CURDIR)/debian/tmp \
-			INST_DATA="\$$(prefix)/share/gdal/1.7" 
+			INST_DATA="\$$(prefix)/share/gdal/1.8" 
 	$(MAKE) install-docs DESTDIR=$(CURDIR)/debian/tmp \
 		"INST_DOCS=\$$(prefix)/share/doc/libgdal-doc"\
 		"INST_MAN=\$$(prefix)/share/man" 
 	$(MAKE) install-man DESTDIR=$(CURDIR)/debian/tmp \
 		"INST_DOCS=\$$(prefix)/share/doc/libgdal-doc"\
 		"INST_MAN=\$$(prefix)/share/man" 
-	
+		
 	# install python stuff previuosly built and pre-installed
 	cp -a $(CURDIR)/debian/python-tmp/usr/lib/* $(CURDIR)/debian/tmp/usr/lib/.
 	install -o root -g root -d $(CURDIR)/debian/tmp/usr/bin
 	install -o root -g root -m 755 $(CURDIR)/swig/python/scripts/*.py $(CURDIR)/debian/tmp/usr/bin/.                                        
 	
 	# removing license file
-	rm -f $(CURDIR)/debian/tmp/usr/share/gdal/1.7/LICENSE.TXT
+	rm -f $(CURDIR)/debian/tmp/usr/share/gdal/1.8/LICENSE.TXT
 	# removing empty packlist MakeMaker files 
-	-find $(CURDIR)/debian/tmp/usr/local/lib/perl -type f -name .packlist -exec rm -f {} \;
+	-find $(CURDIR)/debian/tmp$(PERL_PATH) -type f -name .packlist -exec rm -f {} \;
 	# removing embedded rpath in perl shlibs
-	-find $(CURDIR)/debian/tmp/usr/local/lib/perl -type f -name "*.so" -exec chrpath --delete {} \;
+	-find $(CURDIR)/debian/tmp/$(PERL_PATH) -type f -name "*.so" -exec chrpath --delete {} \;
 	# removing embedded rpath in main lib
 	-find $(CURDIR)/debian/tmp/usr/lib -type f -name "*.so*" -exec chrpath --delete {} \;
 	
 	# moves ruby/perl stuff the right dirs
 	install -o root -g root -d $(CURDIR)/debian/tmp/usr/lib/perl5/auto
 	install -o root -g root -d $(CURDIR)/debian/tmp/usr/lib/ruby/$(RUBYDEF)
-	mv $(CURDIR)/debian/tmp/usr/local/lib/perl/$(PERLDEF)/auto/* $(CURDIR)/debian/tmp/usr/lib/perl5/auto/.
-	mv $(CURDIR)/debian/tmp/usr/local/lib/perl/$(PERLDEF)/Geo $(CURDIR)/debian/tmp/usr/lib/perl5/.
+	mv $(CURDIR)/debian/tmp$(PERL_PATH)/auto/* $(CURDIR)/debian/tmp/usr/lib/perl5/auto/.
+	mv $(CURDIR)/debian/tmp$(PERL_PATH)/Geo $(CURDIR)/debian/tmp/usr/lib/perl5/.
 	mv $(CURDIR)/debian/tmp/usr/local/lib/site_ruby/$(RUBYDEF)/* $(CURDIR)/debian/tmp/usr/lib/ruby/$(RUBYDEF)/.
 	# copy sample programs for python-gdal
 	install -o root -g root -d $(CURDIR)/debian/tmp/usr/share/doc/python-gdal/examples
@@ -184,7 +191,7 @@
 	dh_perl
 	dh_makeshlibs
 	dh_installdeb
-	dh_shlibdeps -L libgdal1-1.7.0 -l debian/libgdal1-1.7.0/usr/lib
+	dh_shlibdeps -L libgdal1-1.8.0 -l debian/libgdal1-1.8.0/usr/lib
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## gdal 1.8.1

=== debian/changelog ===
gdal (1.8.1-2~exp3) experimental; urgency=low

  * Fixed .common symbol file to drop conditionals.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 23 Nov 2011 14:23:29 +0100

gdal (1.8.1-2~exp2) experimental; urgency=low

  * Changed organization of symbol files in one common file and
    multiple .symbols.arch file.
  * Now normalized to conventional GDAL library name and dropping the Debian 
    specific versioned naming scheme for the library. 
    Dropped patch: libname, python.
  * Added sparc and mipsel symbol files.
  * Updated NEWS file with basic information about changes in the package.
  * Removed now obsolete libtool build-dep.
    (closes: #639887)
  * Now avoid installing superfluous stuff in libgdal-perl. Thanks lintian.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 11 Oct 2011 14:41:31 +0200

gdal (1.8.1-2~exp1) experimental; urgency=low

  * Introduced per arch symbol files with demangled C++ symbols.
    They are all included by the main symbol file after the C symbols.
    Provided archs: amd64, armel, i386, ia64, mips, powerpc and s390.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 28 Sep 2011 00:22:42 +0200

gdal (1.8.1-1) experimental; urgency=low

  [ Aron Xu ]
  * Really use libjpeg-dev to allow transition.
    (Closes: #629964)
  * Build-Depends on libpng-dev instead of libpng12-dev.
  * Transition to dh_python2. (Closes: #616821)

  [ Francesco Paolo Lovergine ]
  * New upstream release with fixes for 1.8 series.
    (closes: #636053, #638073)
  * Revised for migration to dh_python2.
    (closes: #616821)
  * Merged lintian-overrides handling from 1.7 branch.
  * This version is already compatible with libdap >= 3.10, no patch needed.
  * Still retaining chrpath trick to maintain compatibility against libtool 
    inner use in swing-enabled bindings.
  * Updated debian/watch file to cope with release-candidate versions which
    results newer than final ones.
  * Added symbol file to track changes in exported symbols from now on.
  * The -fvisibility=hidden has been removed.
  * Now linking uses a version script to include symbolic versions to all
    global symbols.
  * Added -Bsymbolic to force binding of global symbols to definition within
    the library. This should solve problems in linking against both tiff,
    geotiff and gdal. That should have no impact against netcdf, hdf5 and 
    other common formats.
    (closes: #558733)
  * Merged a lintian override from 1.7 series for TIFF library embedding.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 27 Sep 2011 12:59:27 +0200

gdal (1.8.0-2) experimental; urgency=low

  * Patch: symver. Added symbol versioning (GDAL_X.Y) for all symbols 
    exported by GDAL.
    (closes: #558733)
  * Patch: spatialite. Added explicit linking to sqlite3 for spatialite.
    This is Debian specific, because Debian spatialite does not embed Sqlite
    functions as in upstream release.
  * Merged with 1.7 series: added epsilon patch to fix now unsupported unnamed
    union use.
  * Versioned strict build-dependency on libepsilon.
  * Depends on libjpeg-dev.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 12 May 2011 13:11:06 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
 Build-Depends: debhelper (>= 8), zlib1g-dev, libnetcdf-dev (>= 1:4.0.0),
- libjasper-dev, libpng12-dev, libjpeg-dev, libgif-dev,
- libhdf4-alt-dev, libhdf5-serial-dev (>=1.6.6), libpq-dev, libxerces-c2-dev, unixodbc-dev (>= 2.2.11),
- python-dev, python-numpy, doxygen, d-shlibs, libgeos-dev, libmysqlclient-dev, python-all-dev (>= 2.3.5-11~), 
- python-central (>= 0.5), libcurl4-gnutls-dev, libsqlite3-dev, libogdi3.2-dev,
- ruby, ruby1.8-dev, chrpath, swig, libtool (>= 1.5.24-2), patch, libexpat1-dev, libproj-dev,
- libdap-dev, libxml2-dev, libspatialite-dev (>= 2.4.0~rc2-4), libepsilon-dev
+ libjasper-dev, libpng-dev, libjpeg-dev, libgif-dev,
+ libhdf4-alt-dev, libhdf5-serial-dev (>= 1.6.6), libpq-dev, libxerces-c2-dev, unixodbc-dev (>= 2.2.11),
+ python-numpy, doxygen, d-shlibs, libgeos-dev, libmysqlclient-dev, python-all-dev (>= 2.6.6-3~), 
+ libcurl4-gnutls-dev, libsqlite3-dev, libogdi3.2-dev,
+ ruby, ruby1.8-dev, chrpath, swig, patch, libexpat1-dev, libproj-dev,
+ libdap-dev, libxml2-dev, libspatialite-dev (>= 2.4.0~rc2-4), libepsilon-dev (>= 0.9.1)
 Build-Conflicts: python-setuptools
 Standards-Version: 3.9.2
 XS-Python-Version: all
@@ -17,11 +17,13 @@
 Vcs-Browser: http://git.debian.org/?p=pkg-grass/gdal.git
 Vcs-Git: git://git.debian.org/git/pkg-grass/gdal.git
 
-Package: libgdal1-1.8.0
+Package: libgdal1
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: proj-bin
+Breaks: libgdal1-1.8.0
+Replaces: libgdal1-1.8.0
 Description: Geospatial Data Abstraction Library
  GDAL is a translator library for raster geospatial data formats.
  As a library, it presents a single abstract data model to the
@@ -41,16 +43,18 @@
  .
  This package contains the shared library.
 
-Package: libgdal1-dev
+Package: libgdal-dev
 Section: libdevel
 Architecture: any
-Depends: libgdal1-1.8.0 (=${binary:Version}), libc6-dev, libnetcdf-dev, 
- libjasper-dev|libjasper-1.701-dev, libpng12-dev, libjpeg62-dev, libgif-dev, libhdf4-alt-dev, 
+Depends: libgdal1 (=${binary:Version}), libc6-dev, libnetcdf-dev, 
+ libjasper-dev|libjasper-1.701-dev, libpng-dev, libjpeg-dev, libgif-dev, libhdf4-alt-dev, 
  libpq-dev, libxerces-c2-dev, unixodbc-dev, libsqlite3-dev, libgeos-dev,
  libmysqlclient-dev, libhdf5-serial-dev, libltdl3-dev, libcurl4-dev|libcurl3-dev,
  libspatialite-dev, libdap-dev, ${misc:Depends}
 Suggests: libgdal-doc
-Provides: libgdal-dev
+Provides: libgdal1-dev
+Replaces: libgdal1-dev
+Conflicts: libgdal1-dev
 Description: Geospatial Data Abstraction Library - Development files
  GDAL is a translator library for raster geospatial data formats.
  As a library, it presents a single abstract data model to the
@@ -74,7 +78,7 @@
 Package: libgdal-doc
 Section: doc
 Architecture: all
-Suggests: libgdal1-1.8.0 
+Suggests: libgdal1
 Depends: ${misc:Depends} 
 Homepage: http://www.gdal.org/#index_userdocs
 Description: Documentation for the Geospatial Data Abstraction Library

=== debian/rules ===
--- 
+++ 
@@ -67,7 +67,6 @@
 			--includedir=\$$\{prefix\}/include/gdal \
 			--with-threads \
 			--with-grass=no \
-			--with-hide-internal-symbols=yes \
 			--with-libtiff=internal \
 			--with-geotiff=internal \
 			--with-jasper \
@@ -132,7 +131,8 @@
 	rm -rf $(CURDIR)/html $(CURDIR)/doc/br/html $(CURDIR)/doc/ru/html
 	rm -rf $(CURDIR)/frmts/o/.libs
 	rm -f  $(CURDIR)/islibdappost310.*
-	
+	# Removes per arch symbols for compatible archs
+	rm -f $(CURDIR)/debian/libgdal*.symbols.kfreebsd-i386 $(CURDIR)/debian/libgdal*.symbols.kfreebsd-amd64
 	dh_clean 
 
 install: build
@@ -143,7 +143,7 @@
 	
 	cp `ls GDALmake.opt-*|tail -1` GDALmake.opt
 	$(MAKE) install BINDINGS="perl ruby" DESTDIR=$(CURDIR)/debian/tmp \
-			INST_DATA="\$$(prefix)/share/gdal/1.8" 
+			INST_DATA="\$$(prefix)/share/gdal/$(GDAL_MAJOR).$(GDAL_MINOR)" 
 	$(MAKE) install-docs DESTDIR=$(CURDIR)/debian/tmp \
 		"INST_DOCS=\$$(prefix)/share/doc/libgdal-doc"\
 		"INST_MAN=\$$(prefix)/share/man" 
@@ -157,7 +157,7 @@
 	install -o root -g root -m 755 $(CURDIR)/swig/python/scripts/*.py $(CURDIR)/debian/tmp/usr/bin/.                                        
 	
 	# removing license file
-	rm -f $(CURDIR)/debian/tmp/usr/share/gdal/1.8/LICENSE.TXT
+	rm -f $(CURDIR)/debian/tmp/usr/share/gdal/$(GDAL_MAJOR).$(GDAL_MINOR)/LICENSE.TXT
 	# removing empty packlist MakeMaker files 
 	-find $(CURDIR)/debian/tmp$(PERL_PATH) -type f -name .packlist -exec rm -f {} \;
 	# removing embedded rpath in perl shlibs
@@ -174,6 +174,9 @@
 	# copy sample programs for python-gdal
 	install -o root -g root -d $(CURDIR)/debian/tmp/usr/share/doc/python-gdal/examples
 	install -o root -g root -m 755 $(CURDIR)/swig/python/samples/*.py $(CURDIR)/debian/tmp/usr/share/doc/python-gdal/examples/.
+	# create lintian overrides file
+	echo "libgdal1: embedded-library usr/lib/libgdal.so.$$(basename debian/tmp/usr/lib/libgdal.so.*.*.*|cut -d. -f3,4,5): tiff" \
+		>$(CURDIR)/debian/libgdal1.lintian-overrides
 
 binary-common: 
 	dh_testdir
@@ -186,12 +189,15 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	#find $(CURDIR)/debian/python-gdal -name GDAL-$(GDAL_MAJOR).$(GDAL_MINOR).$(GDAL_PATCH).egg-info -delete || true
-	dh_pycentral -X.info
+	dh_lintian
+	dh_python2 -X.info
 	dh_perl
+	# Adds per arch symbols for compatible archs
+	ln -f $(CURDIR)/debian/libgdal*.symbols.i386 $(CURDIR)/debian/libgdal1.symbols.kfreebsd-i386
+	ln -f $(CURDIR)/debian/libgdal*.symbols.amd64 $(CURDIR)/debian/libgdal1.symbols.kfreebsd-amd64
 	dh_makeshlibs
 	dh_installdeb
-	dh_shlibdeps -L libgdal1-1.8.0 -l debian/libgdal1-1.8.0/usr/lib
+	dh_shlibdeps -L libgdal1 -l debian/libgdal1/usr/lib
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
